%define modname xdebug
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A29_%{modname}.ini

Summary:	Provides functions for function traces and profiling for PHP5
Name:		php-%{modname}
Version:	2.2.4
Release:	%mkrel 1
Group:		Development/PHP
License:	BSD-like
URL:		http://www.xdebug.org/
Source0:	http://www.xdebug.org/files/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
Requires:	gdb
BuildRequires:	php-devel >= 3:5.4.0
Epoch:		2

%description
The Xdebug extension helps you debugging your script by providing a lot of
valuable debug information.  The debug information that Xdebug can provide
includes the following: 

* stack and function traces in error messages with: 
  o full parameter display for user defined functions
  o function name, file name and line indications
  o support for member functions
* memory allocation
* protection for infinite recursions

Xdebug also provides: 

* profiling information for PHP scripts
* script execution analysis
* capabilities to debug your scripts interactively with a debug client

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

# lib64 fix
perl -pi -e "s|/usr/lib|%{_libdir}|g" %{inifile}

%build
%serverbuild

phpize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

# make the debugclient
pushd debugclient
#sh ./buildconf
#    %%configure2_5x
#	--with-libedit
#    %%make

#  the autostuff is borked...
touch config.h
gcc $CFLAGS %{ldflags} -o debugclient main.c usefulstuff.c -lnsl

popd

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_bindir}

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0755 debugclient/debugclient %{buildroot}%{_bindir}/

%clean
rm -rf %{buildroot}

%files 
%doc CREDITS LICENSE NEWS README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_bindir}/debugclient
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Fri Mar 14 2014 oden <oden> 2:2.2.4-1.mga4
+ Revision: 603478
- 2.2.4

* Fri Jan 24 2014 pterjan <pterjan> 2:2.2.3-5.mga4
+ Revision: 567643
- Rebuild for new PHP

* Wed Dec 18 2013 oden <oden> 2:2.2.3-4.mga4
+ Revision: 558473
- rebuilt for php-5.5.7

* Sat Nov 23 2013 oden <oden> 2:2.2.3-3.mga4
+ Revision: 552483
- rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2:2.2.3-2.mga4
+ Revision: 527902
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 2:2.2.3-1.mga4
+ Revision: 442862
- drop one applied patch
- 2.2.3

* Wed Jan 30 2013 oden <oden> 2:2.2.1-3.mga3
+ Revision: 393367
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2:2.2.1-2.mga3
+ Revision: 377631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 spuhler <spuhler> 2:2.2.1-1.mga3
+ Revision: 274831
- fix build
- upgrade to 2.2.1

* Thu May 03 2012 luigiwalser <luigiwalser> 2:2.1.4-1.mga2
+ Revision: 234679
- 2.1.4

* Mon Mar 19 2012 luigiwalser <luigiwalser> 2:2.1.3-2.mga2
+ Revision: 223953
- httpd restart is handled by filetriggers now

* Sat Feb 11 2012 spuhler <spuhler> 2:2.1.3-1.mga2
+ Revision: 207453
- upgrade to 2.1.3

* Sat Jan 07 2012 spuhler <spuhler> 2:2.1.2-1.mga2
+ Revision: 193003
- upgrade version to 2.1.2

* Sun Jan 16 2011 spuhler <spuhler> 2:2.1.0-5.mga1
+ Revision: 20298
- removed the if mdkversion lines
- imported package php-xdebug

